Bug 118734 - FILEOPEN: Only one bookmark displayed in navigator instead of 2
Summary: FILEOPEN: Only one bookmark displayed in navigator instead of 2
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Navigator
  Show dependency treegraph
 
Reported: 2018-07-12 21:22 UTC by Dave Lovelace
Modified: 2019-10-28 03:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample document (9.22 KB, application/vnd.oasis.opendocument.text)
2018-07-17 18:22 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Lovelace 2018-07-12 21:22:40 UTC
OK, I have a pretty large document, several in fact, hundreds of pages each, so I need lots of bookmarks. Several times running, I entered a lot of them. They are there, and they work. Then I save the document, and when I open it again, almost all of them are gone.

I think I have identified the circumstance which causes this. I also have lots of comments. Most of the places I want bookmarks--significant places in my documents--I have a block of text with a comment attached. To get those, I selected the block of text, then used ctl-alt-C to pop up a (marginal) comment, and type in the text.

Well, I want the bookmarks to be there at the beginning of that block of text, or sometimes at a particular point inside the block. Not a paragraph later (or twenty paragraphs later, sometimes), after the end of the block. But the bookmarks that disappear are the ones that are in those positions. Or, it seems after some testing, anywhere inside the commented block of text.

The bookmarks are there, and I can use them to navigate--until I close and reopen the document!

It was suggested to me that they might still be there, just hidden. I looked in the help (and also googled, uselessly), and found the statement that I can display hidden text this way: "Enable the check mark at View - Hidden Paragraphs". There is no Hidden Paragraphs under View. I'm pretty sure this is a red herring, anyway, because the help talks about variables I used to define the condition for hiding the text, and I didn't do anything like that (and don't understand the explanation of how to do it, either). Help text doesn't match the program. though.

I did find, under Tools - Options - Formatting Aids, three check boxes relating to Hidden Text or Hidden Paragraphs. All of them are now checked, and this makes no difference that I can see. I think those are a red herring, too.

I think this is a bug in LibreOffice. I'd love to be wrong, and find out that there's some simple setting I'm missing. I'm trying to be polite, but I've wasted many, many hours on this--first, in entering and reentering bookmarks, second on trying to figure out what the problem is. I find it hard to believe that no one else has observed this, but it seems not. Am I really the only one who tries to use both bookmarks and comments extensively?

At the moment, I'm editing on a Fedora system, and the About says: Version: 5.4.6.2 Build ID: 5.4.6.2-3.fc27 CPU threads: 1; OS: Linux 4.15; UI render: default; VCL: gtk2; Locale: en-US (en_US.UTF-8); Calc: group

I move the file back and forth (sneakernet using a flash drive) to a Windows 10 system, also running 5 (and I am pretty sure it's also 5.4). The behavior is the same on both systems, so it doesn't look like and OS issue.

Thank you.
Comment 1 Mike Kaganski 2018-07-13 04:52:42 UTC
Reproducible with Version: 6.2.0.0.alpha0+ (x64)
Build ID: e6b18c1d0f377e1295970b94bdf6b90739e13d4d
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: ru-RU (ru_RU); Calc: CL

Steps to reproduce:

1. Create an empty text document.
2. Type three paragraphs, like this:

> First paragraph
> Second paragraph
> Third paragraph

3. Put cursor at the beginning of the second paragraph (just to the left of "Second"); insert a bookmark (e.g., using menu Insert→Bookmark); let it be named "Bookmark 1" as the default.
4. Put cursor at the beginning of the third paragraph (just to the left of "Third"); insert a bookmark; let it be named "Bookmark 2".
5. Open Navigator; see that Bookmarks node has both bookmarks listed and working.
6. Select the third paragraph (e.g., by triple-clicking anywhere in it); insert a comment (Insert→Comment Ctrl+Alt+C) with some dummy text.
7. Notice that both bookmarks still present and functional in navigator.
8. Save the document as ODT, and reopen.

Expected: both bookmarks present and functional.

Actual: only "Bookmark 1" is present in navigator. "Bookmark 1" is lost. Removing the comment does not restore the bookmark.

This is a data loss. See also bug 74177, bug 101936, and bug 118673, all related to different aspects of combining comments and other features.
Comment 2 Mike Kaganski 2018-07-13 04:54:02 UTC
(In reply to Mike Kaganski from comment #1)
> "Bookmark 1" is lost.

Of course, I meant "Bookmark 2"; sorry for typo.
Comment 3 Xisco Faulí 2018-07-17 18:21:12 UTC
Regression introduced by:

author	Oliver-Rainer Wittmann <orw@apache.org>	2013-12-19 18:50:58 +0000
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2014-01-08 15:58:35 +0100
commit	0761f81643a6890457e9ef7d913ab5c88c2593a4 (patch)
tree	91bf122795dfac3f9263942ab3c5dee2b4ecea26
parent	df002e39f7518036ae1c1d2afec7a525ef902327 (diff)
123792: complete annotations on text ranges feature

Bisected with: bibisect-43max

@Mike, one for you ? :D
Comment 4 Xisco Faulí 2018-07-17 18:22:27 UTC
Created attachment 143603 [details]
sample document
Comment 5 Xisco Faulí 2018-07-17 18:23:31 UTC
This is an import issue. If I open the document with an older version, both bookmarks are present
Comment 6 QA Administrators 2019-10-28 03:29:25 UTC
Dear Dave Lovelace,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug